Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class PlainAnnotationsViewControllerManager

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
          org.apache.myfaces.orchestra.viewController.AbstractAnnotationsViewControllerManager
              org.apache.myfaces.orchestra.viewController.PlainAnnotationsViewControllerManager

All Implemented Interfaces:
  ViewControllerManager

    public class PlainAnnotationsViewControllerManager

extends AbstractAnnotationsViewControllerManager

A `ViewControllerManager` implementation which uses annotations on backing beans to determine the beans responsible for a given view and execute the appropriate annotated methods.

When using Spring, every bean declaration in the spring config files is checked to see if the referenced class has annotations, and if so that information is cached. Here, that information is then used to locate a bean which has a ViewController annotation that references the current view.

See also org.apache.myfaces.orchestra.viewController.annotations.*.

See Also:
  `ViewControllerManager`

Field Summary

Fields inherited from interface org.apache.myfaces.orchestra.viewController.ViewControllerManager
`VIEW_CONTROLLER_MANAGER_NAME`

Constructor Summary
`PlainAnnotationsViewControllerManager()`

Method Summary
`protected ViewControllerExecutor` | `getViewControllerExecutor()`
`protected ViewControllerNameMapper` | `getViewControllerNameMapper()`
`void` | `initManager()`

Methods inherited from class org.apache.myfaces.orchestra.viewController.AbstractAnnotationsViewControllerManager
`assertConversationState, getAnnotationInfoManager, setAnnotationInfoManager`

Methods inherited from class org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
`executeInitView, executePreProcess, executePreRenderView, getViewController, getViewControllerName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainAnnotationsViewControllerManager

    public PlainAnnotationsViewControllerManager()

Method Detail

### initManager

    public void initManager()

  Specified by:
    `initManager` in class `AbstractAnnotationsViewControllerManager`

### getViewControllerNameMapper

    protected ViewControllerNameMapper getViewControllerNameMapper()

  Specified by:
    `getViewControllerNameMapper` in class `AbstractViewControllerManager`

### getViewControllerExecutor

    protected ViewControllerExecutor getViewControllerExecutor()

  Specified by:
    `getViewControllerExecutor` in class `AbstractViewControllerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.